export { LoggingFiles } from "./filewriter";
import { LoggingBase as LoggingBaseOriginal, LoggingBaseOptions } from "@hibas123/logging";
export interface LoggingOptions extends LoggingBaseOptions {
    files: boolean | {
        /**
         * Filename/path of the logfile. Skip if generated with name.
         *
         * If not wanted pass null
         */
        logfile?: string | null;
        /**
         * Filename/path of the logfile. Skip if generated with name.
         *
         * If not wanted pass null
         */
        errorfile?: string | null;
    };
}
export declare class LoggingBase extends LoggingBaseOriginal {
    constructor(config?: Partial<LoggingOptions> | string);
}
export declare let Logging: LoggingBase;
export default Logging;
